Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.convert.service
Class DefaultConversionService

    java.lang.Object
      org.springframework.binding.convert.service.GenericConversionService
          org.springframework.binding.convert.service.DefaultConversionService

All Implemented Interfaces:
  ConversionService

Direct Known Subclasses:
  FacesConversionService

    public class DefaultConversionService

extends GenericConversionService

Default, local implementation of a conversion service. Will automatically register from string converters for a number of standard Java types like Class, Number, Boolean and so on.

Author:
  Keith Donald

Constructor Summary
`DefaultConversionService()` Creates a new default conversion service, installing the default converters.
`DefaultConversionService(org.springframework.core.convert.ConversionService delegateConversionService)` Creates a new default conversion service with an instance of a Spring ConversionService.

Method Summary
`protected void` | `addDefaultAliases()`
`protected void` | `addDefaultConverters()` Add all default converters to the conversion service.

Methods inherited from class org.springframework.binding.convert.service.GenericConversionService
`addAlias, addConverter, addConverter, executeConversion, executeConversion, getClassForAlias, getConversionExecutor, getConversionExecutor, getDelegateConversionService, getParent, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConversionService

    public DefaultConversionService()

  Creates a new default conversion service, installing the default converters.

### DefaultConversionService

    public DefaultConversionService(org.springframework.core.convert.ConversionService delegateConversionService)

  Creates a new default conversion service with an instance of a Spring ConversionService.

  Parameters:
    `delegateConversionService` - the Spring conversion service

Method Detail

### addDefaultConverters

    protected void addDefaultConverters()

  Add all default converters to the conversion service. Note: Staring with Spring Web Flow 2.1, this method does not register any Spring Binding converters. All type conversion is driven through Spring's type conversion instead.

  See Also:
    `GenericConversionService`

### addDefaultAliases

    protected void addDefaultAliases()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD